Page MenuHomePhabricator

Media info/tool links positioning inconsistent depending on presence of description
Closed, ResolvedPublic

Description

Go to https://test.wikipedia.org/wiki/Lightbox_demo and click on the sunrise image -- you'll see that at the bottom of the lightbox a description appears on the left, and some info & links on the right.

But if you click on the aerial view of San Francisco, there's no description, and the info & links appear on the *left* instead of the right.

I would expect the links to be consistently positioned on the right.


Version: unspecified
Severity: normal
URL: https://test.wikipedia.org/wiki/Lightbox_demo

Details

Reference
bz56494

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz56494.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Nov 1 2013, 11:06 PM

Thanks, Brion.

You are correct, the links in the lower right hand side of the light box should always remain in the same place.

The fact that there is no description for that file should not change the layout of Media Viewer. Instead, it should simply say 'No description.', as requested in a related bug.

Our designer Pau Giner is working on a new layout that might make things less strange if a description is missing, too short or too long.

I believe this got fixed when we made the description div scrollable and fixed its positioning (as well as that of the metadata list element), so we should be better now. Reopen if not.

Tgr added a comment.Nov 20 2013, 11:10 AM

The div is display:none-ed when empty, so this still happens.

Change 96465 had a related patch set uploaded by Gergő Tisza:
Preserve space for the description even if it is not present

https://gerrit.wikimedia.org/r/96465

Change 96465 merged by jenkins-bot:
Preserve space for the description even if it is not present

https://gerrit.wikimedia.org/r/96465

Patch was merged a while ago - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Tgr added a comment.Feb 12 2014, 6:12 PM

Fixed. We have placeholder text now when there is no description.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 10:25 AM
Gilles raised the priority of this task from Normal to Unbreak Now!.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:22 AM